@echo off

echo.
echo Multiple paletted PNG files to C&C WSA file converter
echo By Emanuel Rabina
echo.

set RH_CLASSPATH=redhorizon-common.jar;redhorizon-utilities.jar;Localizations;Libraries\aspectjrt.jar
set RH_CONVERTER=redhorizon.utilities.converter.Converter

java -classpath %RH_CLASSPATH% %RH_CONVERTER% png.PngFile(MULTI) wsa.WsaFileCNC %1 %2 %3 %4 %5
if errorlevel 1 goto noparam

goto exit

:noparam
echo Usage:
echo   png2wsacc (source file pattern) (dest file) -f:F [-loop] [-nohires]
echo.
echo Where:
echo  F = framerate of animation
echo  pattern = name of the file without numbering information.  If the names of the
echo            files are: pngtank000.png, pngtank001.png, etc, then the pattern is
echo            pngtank.png.  Files must be numbered from 000 to the number of source
echo            files you have, up to a max of 999.
echo And:
echo  -loop = optional parameter, used to specify that the animation is supposed to loop.
echo          When using this parameter, the last file in the source file pattern will
echo          act as the special loop frame that connects the last and first frames.
echo  -nohires = optional parameter, tells the program to not generate the PAL file used
echo             by C&C95/RA95 when playing WSAs at a higher resolution.  By default a
echo             PAL file is created with the same name as the WSA but with a .pal
echo             extension.
echo.
echo eg:
echo   png2wsacc anim.png anim.wsa -w:100 -h:50 -n:16 -f:12.5 -loop
echo.

:exit
