@echo off

echo.
echo Paletted PNG file to Dune 2 WSA file converter
echo By Emanuel Rabina
echo.

set RH_CLASSPATH=redhorizon-common.jar;redhorizon-utilities.jar;Localizations;Libraries\aspectjrt.jar
set RH_CONVERTER=redhorizon.utilities.converter.Converter

java -classpath %RH_CLASSPATH% %RH_CONVERTER% png.PngFile wsa.WsaFileDune2 %1 %2 %3 %4 %5 %6 %7
if errorlevel 1 goto noparam

goto exit

:noparam
echo Usage:
echo   png2wsad2 (source file) (dest file) -w:X -h:Y -n:N -f:F [-loop]
echo.
echo Where:
echo  X = width of each frame
echo  Y = height of each frame
echo  N = number of frames
echo  F = framerate of animation
echo And:
echo  -loop = optional parameter, used to specify that the animation is supposed to loop
echo          When using this parameter, there should be 1 more frame which will act as
echo          the special loop frame that connects the last and first frames.  Note that
echo          the loop frame should not be included when specifying N.
echo.
echo eg:
echo   png2wsad2 anim.png anim.wsa -w:100 -h:50 -n:16 -f:12.5 -loop
echo.

:exit
